#pragma once

class Player;
class Ship;

class Action {
public:
    enum class Type {
        Attack,
        Defense
    };

    enum class Status {
        Escaped,
        Defeated,
        Nothing,
    };

    virtual Status operator()(Player* player, Ship* enemyShip) = 0;
    virtual Type type() const = 0;
};
